# $Id: gjots2.spec,v 1.16 2010/07/22 01:34:34 dmalcolm Exp $
#   Copyright (C) 2002-2005 Robert Hepple 
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
#   MA 02111-1307, USA.

Name:    gjots2
Version: 3.0.2
Release: 4%{?dist}
Summary: A note jotter - Organise your ideas, notes, facts in a hierarchy
License: GPLv2+
Group:   Applications/Productivity
URL:     http://bhepple.freeshell.org/gjots
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
Patch0:  setup.patch
Patch1:  imports.patch

BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: libappstream-glib
BuildRequires: desktop-file-utils

Requires: python2
%if 0%{?fedora} >= 27
Requires: python2-gobject
%else
Requires: pygobject3
%endif
Requires: gnome-python2-gconf
Requires: gtk3
Requires: gtksourceview3

%description

gjots2 ("gee-jots" or, if you prefer, "gyachts"!) is a way to marshall
and organise your text notes in a convenient, hierachical way. I use
it for all my notes on Unix, my personal bits and pieces, recipes and
even PINs and passwords (encrypted with ccrypt(1)).

You can also use it to "mind-map" your compositions - write down all
your thoughts and then start to organise them into a tree. By
manipulating the tree you can easily reorder your thoughts and
structure them appropriately.

%prep
%autosetup -p1

sed -i -e 's@lib/gjots2@lib/python%{python2_version}/site-packages/gjots2@g' setup.py
sed -i -e 's@Icon=gjots2@Icon=gjots@g' gjots2.desktop
# Convert to utf-8
for file in doc/man/man1/*.1; do
  iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
  touch -r $file $file.new && \
  mv $file.new $file
done

%build
%py2_build

%install
%py2_install

rm -rf %{buildroot}%{_datadir}/doc/gjots2-3.0.2/

for file in $(find po/ -name gjots2.mo | sed 's|po/||') ; do
  install -Dpm0644 po/$file %{buildroot}%{_datadir}/locale/$file
done

%find_lang %{name}

%check
desktop-file-install \
        --dir %{buildroot}%{_datadir}/applications              \
        --remove-category Application                           \
        %{name}.desktop

appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml


%files -f gjots2.lang
%doc AUTHORS COPYING ChangeLog README doc/gjots2.gjots
%doc %lang(en_US) doc/gjots2.en_US.gjots 
%doc %lang(fr) doc/gjots2.fr.gjots
%doc %lang(nb) doc/gjots2.nb.gjots
%doc %lang(no) doc/gjots2.no.gjots
%doc %lang(ru) doc/gjots2.ru.gjots
%doc %lang(es) doc/gjots2.es.gjots
%{_bindir}/gjots2
%{_bindir}/gjots2org
%{_bindir}/org2gjots
%{_bindir}/gjots2html*
%{_bindir}/gjots2docbook
%{_bindir}/docbook2gjots
%{_bindir}/gjots2emacs
%{_bindir}/gjots2lpr
%{python2_sitelib}/%{name}/
%{python2_sitelib}/gjots2-%{version}-py%{python2_version}.egg-info
%{_datadir}/%{name}/
%{_datadir}/pixmaps/gjots.png
%{_datadir}/appdata/gjots2.appdata.xml
%{_datadir}/applications/*gjots2.desktop
%{_datadir}/glib-2.0/schemas/org.gtk.gjots2.gschema.xml
%{_mandir}/man1/%{name}*
%{_mandir}/man1/docbook2gjots*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 31 2018 Leigh Scott <leigh123linux@googlemail.com> - 3.0.2-3
- Fix requires for F26

* Wed Jan 31 2018 Leigh Scott <leigh123linux@googlemail.com> - 3.0.2-2
- Fix missing menu icon

* Tue Jan 30 2018 Leigh Scott <leigh123linux@googlemail.com> - 3.0.2-1
- Update to 3.0.2 release

* Fri Jan 05 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2.3.15-13
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.15-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.15-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.15-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.15-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

